git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[tripleo] Use Podman 1.6 in CI


On Wed, Jan 8, 2020 at 3:30 PM Jeremy Stanley <fungi at yuggoth.org> wrote:
>
> On 2020-01-08 16:49:15 -0500 (-0500), Luke Short wrote:
> > We have been running into a situation where an older version of
> > Podman is used in CI that has consistent failures. It has problems
> > deleting storage associated with a container.
> [...]
> > The question/ask I have is can we ship/use a newer version of
> > Podman in our upstream CI? Or should we continue our efforts on
> > making a workaround?
> [...]
>
> This sounds like a problem users of your software could encounter in
> production. If so, how does only fixing it in CI jobs help your
> users? It seems like time might be better spent fixing the problem
> for everyone.

Btw fixing CI implies fixing for everyone. In other words, how do we
make it available for everyone (including CI).  This is one of those
ecosystem things because we (tripleo/openstack) don't necessarily ship
it but we do need to use it.  I'm uncertain of the centos7/podman 1.6
support and which branches are affected by this?  This might be a
better question for RDO.

Thanks,
-Alex

> --
> Jeremy Stanley